{
	"name": "report/work_in_progress_cost/query/work_in_progress.json",
	"table": [
		{
			"record_type": [""],
			"table": "production_order"
		}
	],
	"organization_id": "4d",
	"parameter": {
		"phase_not_open_state": "plugin/nc-calc-server/constant.json/work_center_phase_not_open_state",
		"show_sql": true
	},
	"option": {
		"save_data_file_name-": "work_in_progress_cost_data.json"
	},
	"order": ["pr.product_group", ">", "pro.production_order_id", ">", "pro.row_number", ">"],
	"query": ["pro.production_order_state", "not in", "phase_not_open_state"],
	"subquery": [
		{
			"name": "qry_work_self_cost",
			"query": "report/work_in_progress_cost/query/work_in_progress_work_self_cost.json"
		},
		{
			"name": "qry_material_self_cost_por",
			"query": "report/work_in_progress_cost/query/work_in_progress_material_self_cost_ordr-purchase.json"
		},
		{
			"name": "qry_material_self_cost_wme__unit",
			"query": "report/work_in_progress_cost/query/work_in_progress_material_self_cost_prma-estimated.json"
		},
		{
			"name": "qry_subcontract_self_cost",
			"query": "report/work_in_progress_cost/query/work_in_progress_subcontract_self_cost.json"
		}
	],
	"field": [
		"pro.company_id",
		"pro.production_order_state",
		"pro.product_id",
		"pr.product_group",
		"pro.drawing_number",
		"pro.production_order_id",
		"pro.row_number",
		"pro.create_time",
		"pro.json_data.material_actual_arrival_date",
		"pro.amount_to_produce",
		"pro.remaining_amount",
		"pro.produced_amount",
		"pro.failed_amount",
		"pro.json_data.sales_price__unit",
		"pr.product_id",
		"pr.name",
		"pr.production_type",
		"pr.json_data.stock_balance"
	]
}
